Description

Dear Redmine Team,

How can I add a custom auto number field for a project:

Ex: Project 1, issue 1.

This is a custom field only but has an increasing & auto suggest number per project. We can change this number.

I think this will be a custom field and it will show a suggestion number.

Of course, it may be dupplicated if two issues are created in the same time or we move issue across projects.

I know my opinion is related to #5765, #282, #538, #1926, #3843, #7873, #8039

Related issues:

Related to Redmine - Feature #5009: Add an option to set a custom field as un... New 2010-03-08

History

#1 - 2013-03-10 16:31 - Toshi MARUYAMA

- Category set to Custom fields

#2 - 2013-03-26 15:33 - Dipan Mehta

Interesting, but how/when will the custom field number get incremented?

#3 - 2013-03-27 13:55 - an an

Hi,

It will get the largest number in project and plus one.

I think it just a default value and it can be change

or

if some one move a issue to another project, it will default get a newest number.

Sorry for my English

#4 - 2013-10-14 11:54 - Jean-Philippe Lang

- Subject changed from  Custom fields Type Auto Number Increasing to Custom fields Type Auto Number Increasing

#5 - 2013-11-18 20:10 - Maxim Krušina

+1

Thats great! I just created my planned Inventory module almost entirely by using Custom fields / Dedicated tracker / Dedicated statuses etc.

Only thing I'm missing is the auto-increment functionality, which will solve (almost) the rest.

Btw it can be done by new datatype or by adding "[x] Auti increment" checkbox to Integer datatype.

And of course, "[x] Unique" will be helpfull - goint to check tickets for this.

#6 - 2013-11-18 20:12 - Maxim Krušina

- Related to Feature #5009: Add an option to set a custom field as unique added

#7 - 2014-01-09 17:31 - an an

Hi All,

Take a look at this plugin: http://projects.andriylesyuk.com/project/redmine/issue-id

But it is still developing.

I think this plugin is wonderful.

Regards,
#8 - 2017-08-25 08:30 - Christopher Maximov

+1

This is fantastic idea.

We are using additional number as a customer facing issue id, would be great if this would be maintained automatically inside redmine (now we are

manually assigning the number verifying that there is no conflict...).

#9 - 2017-08-27 10:55 - Go MAEDA

FYI: Redmine Serial Number Field plugin may be useful for you all.

#10 - 2021-03-15 16:41 - Cristian Mosteiro

Hi, i am thinking on install the Redmine Serial Number Field plugin in order to hava number for my projects.

If i install this plugin what happen with the previous projects?

Thnks!
